Update Fulfillment Order Schedule

Updates the scheduled window of a fulfillment order without changing its delivery method.

Behaviour

  • For fulfillment orders with delivery_method: DELIVERY, this updates delivery_schedule.
  • For fulfillment orders with delivery_method: COLLECTION, this updates customer_collection_schedule.
  • Not applicable to fulfillment orders with delivery_method: DIGITAL.

Use Cases

  • Reschedule a delivery to a later time slot at the customer's request.
  • Push out a customer collection window when the items aren't ready by the original time.
SecurityOAuth2-Production or OAuth2-Demo
Request
path Parameters
orderReference
required
string

The order reference (order_id or partner_order_reference based on the key parameter).

fulfillmentOrderId
required
string

The unique identifier of the fulfillment order.

query Parameters
key
string
Default: "order_id"

Specifies which reference type is being used for the order reference.

Enum: "order_id" "partner_order_reference"
header Parameters
x-api-key
required
string

Your Carriyo API key for authentication.

tenant-id
required
string

Your unique tenant identifier in Carriyo.

Content-Type
string
Default: application/json
Request Body schema: application/json
required
scheduled_from
string <date-time>

Start of the scheduled window.

scheduled_to
string <date-time>

End of the scheduled window.

Responses
200

Schedule updated successfully.

400

Invalid request or fulfillment order is not in a state that allows this update.

404

Order or fulfillment order not found.

patch/orders/{orderReference}/fulfillment-orders/{fulfillmentOrderId}/update-schedule
Request samples
application/json
{
  • "scheduled_from": "2019-08-24T14:15:22Z",
  • "scheduled_to": "2019-08-24T14:15:22Z"
}
Response samples
application/json
{
  • "tenant": "string",
  • "order_id": "string",
  • "merchant": "string",
  • "partner_order_reference": "string",
  • "language": "string",
  • "order_date": "2019-08-24T14:15:22Z",
  • "sales_channel": "string",
  • "creation_source": {
    },
  • "update_source": {
    },
  • "carriyo_metadata": [
    ],
  • "status": "open",
  • "auto_allocation_failed": true,
  • "cancellation_reason": "CUSTOMER_CANCELLATION",
  • "billing_address": {
    },
  • "customer": {
    },
  • "customer_key": "string",
  • "payment": {
    },
  • "redacted": true,
  • "taxes_included": true,
  • "duties_included": true,
  • "discount_applications": [
    ],
  • "line_items": [
    ],
  • "fulfillment_orders": [
    ],
  • "shipping_lines": [
    ],
  • "error_details": [
    ],
  • "creation_date": "2019-08-24T14:15:22Z",
  • "update_date": "2019-08-24T14:15:22Z"
}